import { HttpClientModule } from '@angular/common/http';
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { ArticleComponent } from './article/article.component';
import { CustomSortPipe } from './custom-sort.pipe';
import { GenderPipe } from './gender.pipe';
import { ListPaginateComponent } from './list-paginate/list-paginate.component';
import { ListService } from './list.service';
import { ListComponent } from './list/list.component';
import { TruncatePipe } from './truncate.pipe';

@NgModule({
  bootstrap: [AppComponent],
  declarations: [
    AppComponent,
    ArticleComponent,
    ListComponent,
    ListPaginateComponent,
    GenderPipe,
    CustomSortPipe,
    TruncatePipe,
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    HttpClientModule,
    FontAwesomeModule,
  ],
  providers: [
  ],
})
export class AppModule { }
