import { Component, Input } from '@angular/core';
import { Router } from '@angular/router';

import { faChevronRight } from '@fortawesome/free-solid-svg-icons';
import { faChevronLeft } from '@fortawesome/free-solid-svg-icons';

@Component({
  selector: 'app-list-paginate',
  styleUrls: ['./list-paginate.component.styl'],
  templateUrl: './list-paginate.component.html',
})
export class ListPaginateComponent {
  @Input()
  public page: number;

  @Input()
  public pages: number;

  public faChevronRight = faChevronRight;
  public faChevronLeft = faChevronLeft;

  constructor(private router: Router) { }

  public get pageNums(): number[] {
    // This function calculates the buttons for the pagination so that the
    // current page number is always in the center unless it is near the beginning
    // or the end.
    const starti = Math.min(Math.max(this.page - 2, 1), this.pages - 4);
    return [...Array(5)].map((p, i) => starti + i);
  }

  public navigate(num: number): void {
    // This function navigates to a page number that is clamped
    this.router.navigate(['/list'], { queryParams: {
      page: Math.min(Math.max(num, 1), this.pages),
    } });
  }
}
